#!/bin/sh
exe="./main.exe"
nbr_methods=`$exe -2 | grep "^number of methods" | cut -d'=' -f2`
$exe -2

length=16
while [ $length -le 2048 ] ; do
	$exe -1 $length >tmp.txt
	if [ $? -eq 139 ]; then
		err="error: segmentation fault"
	else
		err=`cat tmp.txt | grep "^error:"`
	fi	
	if test -n "$err" ; then
		echo "$err\nfor length $length"
		exit 99
	fi
	length=`expr $length + 1` 
done

